Subject: bug#27264: gnome-shell-3.24.2 consistently dies during initialization

From: [email-masked] (Ludovic Courtès)
Date: Thu, 08 Jun 2017 22:47:08 +0200

Hello Mark,

Mark H Weaver <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Hi Mark,
>>
>> Mark H Weaver <[email-masked]> skribis:
>>
>>> I have a question: Does GNOME 3 work for *anyone* in Guix now?  If so,
>>> that would be useful information.  If not, I wonder why this got merged
>>> into master.
>>
>> I think many of us use GTK+/GNOME applications, but fewer use GNOME, so
>> I suppose we just didn’t test a full GNOME setup.
>>
>> Next time we should probably do that or, even better, have an automated
>> test that logs in, takes a screenshot, and does some OCR to check
>> whether we got something that looks like a GNOME screen.
>
> I think this is unacceptable.  The test you propose above is no where
> near adequate to assure that the updated desktop environment is usable
> for real work.
>
> I'm annoyed that I've been forced to either use a different desktop
> environment in the meantime or else sacrifice security updates.  I would
> never consider pushing such a major update to master without testing it
> first.  I'm astonished that anyone thinks that this is acceptable
> behavior.

I sympathize, and I agree that it sucks.

Now, I think we are all guilty.  Rather than trying to find someone to
blame, I’m more interested in seeing why we got there and what we can do
to avoid it in the future.  Of course we can call for GNOME users to
test it, and we’ll surely do that explicitly in the future.  But IMO we
should be thankful to those who worked on this upgrade branch, and I
feel it would be unwise to sit back and add more on their shoulders.

> While it's true that users can boot into an older generation of their
> system in an emergency, and that's a *great* comfort, in general it's
> not an acceptable fallback because it entails sacrificing security
> updates.  I'm concerned that our fallback feature has caused people to
> become quite careless with breaking things on our master branch.

This is wrong.  None of us is careless, and suggesting that this is the
case is really unpleasant.

Thanks to Marius, Kei, and Roel for working on the fix.

Ludo’.